curl --request POST \
--url https://api.crustdata.com/person/professional_network/enrich/live \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-api-version: <x-api-version>' \
--data '
{
"professional_network_profile_urls": [
"https://www.linkedin.com/in/abhilashchowdhary"
]
}
'[
{
"matched_on": "https://www.linkedin.com/in/abhilashchowdhary",
"match_type": "professional_network_profile_url",
"matches": [
{
"confidence_score": 1,
"person_data": {
"basic_profile": {
"name": "Abhilash Chowdhary",
"current_title": "Co-Founder & CEO"
}
}
}
]
}
]Fetch fresh, realtime person profile data directly from LinkedIn. Use this endpoint when a profile is not yet available in the Crustdata cache or when the most up-to-date information is required. Accepts LinkedIn profile URLs and returns the full person data model with realtime data.
curl --request POST \
--url https://api.crustdata.com/person/professional_network/enrich/live \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-api-version: <x-api-version>' \
--data '
{
"professional_network_profile_urls": [
"https://www.linkedin.com/in/abhilashchowdhary"
]
}
'[
{
"matched_on": "https://www.linkedin.com/in/abhilashchowdhary",
"match_type": "professional_network_profile_url",
"matches": [
{
"confidence_score": 1,
"person_data": {
"basic_profile": {
"name": "Abhilash Chowdhary",
"current_title": "Co-Founder & CEO"
}
}
}
]
}
]API key passed as a Bearer token in the Authorization header.
API version to use. Must match a supported version (e.g., "2025-11-01").
"2025-11-01"
LinkedIn profile URLs to fetch realtime data for (max 25).
Realtime profile data
The specific input value that was matched (e.g., a LinkedIn URL)
The type of identifier that was matched
professional_network_profile_url, business_email Array of person matches found for this identifier, ranked by confidence
Show child attributes
Was this page helpful?